Looking for the latest version? Download darning-0.07.tar.gz (205.6 kB)
Home / darning / v-0.07
Name Modified Size Downloads / Week Status
Parent folder
Totals: 1 Item   205.6 kB 1
darning-0.07.tar.gz 2013-05-17 205.6 kB 11 weekly downloads
STATUS: This software is still under development and is only Alpha standard at this time. Some script based testing has been undertaken. REQUIREMENTS: This software requires: - Python 2.7 or later - PyGTK2 2.24 or later - patch 2.6.1 or later This software works better with: - vte 0.28.1 or later - meld 1.5 or later - pygtksourceview 2.10.1 This software works best when used with SCM managed sources where it understands the SCM in use. At present, it only has knowledge of the following SCMs: - Mercurial - Git INSTALLATION: It is NOT necessary to install this software in order to use it. All that is necessary for the applications (darn and gdarn) to be usable is for the base directory to be in the usere PATH environment variable. However, if you wish to install it do: make install on Unix like systems and: python setup.py install on other systems (but be aware this has only been tested on Linux). To run the test scripts do: make check USAGE: This tool has both a GUI, gdarn, (which is the primary interface and most complete) and a command line interface, darn, (very minimal at the moment) for those who don't like GUIs. INTERNATIONALIZATION: The code is extensively hooked for i18n but (at the moment) there is no localization available for languages other than English. BUGS: It would be greatly appreciated if any bugs encountered by users are reported by creating an issue at: <https://sourceforge.net/tracker/?group_id=386122&atid=1604800> or emailing: <darning-discussion@lists.sourceforge.net> FEATURE REQUESTS: Feature requests can be made by creating an issue at: <https://sourceforge.net/tracker/?group_id=386122&atid=1604803> or emailing: <darning-discussion@lists.sourceforge.net>
Source: README, updated 2012-09-17